| API Docs for SAX and DOM |
| Main Page Classes Files Related Pages Alphabetical List Class List Class Hierarchy Class Members # XSMultiValueFacet Class Reference Inheritance diagram for XSMultiValueFacet: [legend] List of all members.
## Public Member Functions
Constructors
| XSMultiValueFacet (XSSimpleTypeDefinition::FACET facetKind, StringList *lexicalValues, bool isFixed, XSAnnotation *const headAnnot, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor.
Destructor
| ~XSMultiValueFacet ()
XSMultiValueFacet methods
XSSimpleTypeDefinition::FACET | getFacetKind () const
| Returns: An indication as to the facet's type; see `XSSimpleTypeDefinition::FACET`
StringList * | getLexicalFacetValues ()
| Returns: Returns the values of a constraining facet.
bool | isFixed () const
| Check whether a facet value is fixed.
XSAnnotationList * | getAnnotations ()
| Returns: the annotations belonging to this facet's values
## Protected Attributes
XSSimpleTypeDefinition::FACET | fFacetKind
bool | fIsFixed
StringList * | fLexicalValues
XSAnnotationList * | fXSAnnotationList
## Constructor & Destructor Documentation
XSMultiValueFacet::XSMultiValueFacet | ( | XSSimpleTypeDefinition::FACET | facetKind,
|  | StringList * | lexicalValues,
|  | bool | isFixed,
|  | XSAnnotation *const | headAnnot,
|  | XSModel *const | xsModel,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |
  The default constructor. Parameters:
  | facetKind |
  | lexicalValues |
  | isFixed |
  | headAnnot |
  | xsModel |
  | manager | The configurable memory manager
XSMultiValueFacet::~XSMultiValueFacet | ( |  | ) |
## Member Function Documentation
XSSimpleTypeDefinition::FACET XSMultiValueFacet::getFacetKind | ( |  | ) | const
Returns: An indication as to the facet's type; see `XSSimpleTypeDefinition::FACET`
StringList * XSMultiValueFacet::getLexicalFacetValues | ( |  | ) |
Returns: Returns the values of a constraining facet.
bool XSMultiValueFacet::isFixed | ( |  | ) | const
Check whether a facet value is fixed.
XSAnnotationList * XSMultiValueFacet::getAnnotations | ( |  | ) |
Returns: the annotations belonging to this facet's values ## Member Data Documentation
XSSimpleTypeDefinition::FACET XSMultiValueFacet::fFacetKind`[protected]`
bool XSMultiValueFacet::fIsFixed`[protected]`
StringList* XSMultiValueFacet::fLexicalValues`[protected]`
XSAnnotationList* XSMultiValueFacet::fXSAnnotationList`[protected]`
The documentation for this class was generated from the following file: XSMultiValueFacet.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.